# Pending Transfer Actions Perform actions on pending transfers of monthly certificates between accounts (either incoming or outgoing). Note that actions for incoming and outgoing transfers can be included in the same submission. Endpoint: POST /api/ledger/transfer/pending/action Version: 1.0.0 Security: JWT ## Query parameters: - `onBehalfOfAccountId` (string) Account id for which the request is being made: defaults to the primary account id of the requester unless specified ## Request fields (application/json): - `requests` (array) List of requests - `requests.correlationId` (string) Correlation identifier: an opaque value that will be returned in the responses and error messages to correlate the response or error with the corresponding request Example: "1" - `requests.transferId` (string, required) The transfer identifier Example: "5678" - `requests.action` (string, required) The transfer action Enum: "CONFIRM", "REJECT", "WITHDRAW" - `requests.subaccountId` (string) ID of the subaccount into which Confirmed transfers will be deposited. Example: "77" ## Response 200 fields (application/json): - `submissionId` (string, required) Submission identifier for issue investigation Example: "1" - `responses` (array) List of responses - `responses.correlationId` (string) Correlation identifier: an opaque value that will be returned in the responses and error messages to correlate the response or error with the corresponding request Example: "1" - `responses.transferId` (string, required) The transfer identifier Example: "5678" - `responses.action` (string, required) The transfer action Enum: "CONFIRM", "REJECT", "WITHDRAW" - `responses.subaccountId` (string) ID of the subaccount into which Confirmed transfers will be deposited. Example: "77" ## Response 400 fields (application/json): - `submissionId` (string) Submission identifier for issue investigation - `errors` (array) List of errors - `errors.parameter` (string) The parameter in error, if applicable - `errors.correlationId` (string) The correlation identifier from the input - `errors.path` (string) The path to the field specifically in error, if applicable - `errors.field` (string) - `errors.code` (string) The field in error, if applicable - `errors.message` (string, required) The error code ## Response 401 fields (application/json): - `submissionId` (string) Submission identifier for issue investigation - `errors` (array) List of errors - `errors.parameter` (string) The parameter in error, if applicable - `errors.correlationId` (string) The correlation identifier from the input - `errors.path` (string) The path to the field specifically in error, if applicable - `errors.field` (string) - `errors.code` (string) The field in error, if applicable - `errors.message` (string, required) The error code ## Response 403 fields (application/json): - `submissionId` (string) Submission identifier for issue investigation - `errors` (array) List of errors - `errors.parameter` (string) The parameter in error, if applicable - `errors.correlationId` (string) The correlation identifier from the input - `errors.path` (string) The path to the field specifically in error, if applicable - `errors.field` (string) - `errors.code` (string) The field in error, if applicable - `errors.message` (string, required) The error code ## Response 413 fields (application/json): - `submissionId` (string) Submission identifier for issue investigation - `errors` (array) List of errors - `errors.parameter` (string) The parameter in error, if applicable - `errors.correlationId` (string) The correlation identifier from the input - `errors.path` (string) The path to the field specifically in error, if applicable - `errors.field` (string) - `errors.code` (string) The field in error, if applicable - `errors.message` (string, required) The error code ## Response 429 fields (application/json): - `submissionId` (string) Submission identifier for issue investigation - `errors` (array) List of errors - `errors.parameter` (string) The parameter in error, if applicable - `errors.correlationId` (string) The correlation identifier from the input - `errors.path` (string) The path to the field specifically in error, if applicable - `errors.field` (string) - `errors.code` (string) The field in error, if applicable - `errors.message` (string, required) The error code ## Response 500 fields (application/json): - `submissionId` (string) Submission identifier for issue investigation - `errors` (array) List of errors - `errors.parameter` (string) The parameter in error, if applicable - `errors.correlationId` (string) The correlation identifier from the input - `errors.path` (string) The path to the field specifically in error, if applicable - `errors.field` (string) - `errors.code` (string) The field in error, if applicable - `errors.message` (string, required) The error code